## org.biojavax
Interface CrossReferenceResolver

All Known Implementing Classes:
  BioSQLCrossReferenceResolver, DummyCrossReferenceResolver

    public interface CrossReferenceResolver

This interface returns symbols or sequence for a given cross-reference.

Since:
  1.5
Author:
  Richard Holland, Mark Schreiber

Method Summary
`BioEntry` `getRemoteBioEntry(CrossRef cr)` Given the `CrossRef` return the corresponding `BioEntry`
`SymbolList` `getRemoteSymbolList(CrossRef cr, Alphabet a)` Given a cross reference, return the corresponding symbol list.

Method Detail

### getRemoteSymbolList

    SymbolList getRemoteSymbolList(CrossRef cr,
                                   Alphabet a)

  Given a cross reference, return the corresponding symbol list.

  Parameters:
    `cr` - the cross reference to look up.
    `a` - the alphabet to construct the infinitely ambiguous symbol list over if it cannot be found.
  Returns:
    the symbol list matching it. If none, return an infintely-ambiguous symbol list rather than null.

### getRemoteBioEntry

    BioEntry getRemoteBioEntry(CrossRef cr)
                               throws CrossReferenceResolutionException

  Given the `CrossRef` return the corresponding `BioEntry`

  Parameters:
    `cr` - the cross reference
  Returns:
    The cross referenced entry (most likely a `RichSequence` or null if it cannot be found.
  Throws:
    `CrossReferenceResolutionException` - if a problem occurs during resolution.